#!/bin/bash

# Author: Victor Correal (victor.correal@bsc.es)
# Date  : 1/05/2024

INSTALL_DIR=
RESOLUTION=
RUNDIR=
FORCE=false

source ../../bash_utils/helpers.sh
source utils_create_rundir.sh

# 1. Check args
parse_args "$@"
check_required_args
print_options

# 2. Check for binary and resolution inputs


# 3. Generate rundir: Copy binary from the install dir && the other inputs:
mkdir -p $RUNDIR && cd $RUNDIR

case $RESOLUTION in
    eORCA1)
        info "Using eORCA1 inputs..."
    ;;
    eORCA2)
        info "Using eORCA2 inputs..."
    ;;
    *)
        fatal "Non-recognized resolution $RESOLUTION"
    ;;


esac
# 3. Copy binary from the install dir
cp -L $INSTALL_DIR/* .
#cp -v $INSTALL_DIR/cfgs/ORCA2/EXP00 .
